<template>
  <div id="download_page_wrapper" class="bt-container" style="margin-top:24px;">
    <h2>다운로드 페이지</h2>
    <el-card style="margin-top:40px;">
      <div slot="header">
          <h3>로그 프로그램</h3>
      </div>
      <div>
        학생이 수강하는 동안 집중도, 참여도, 이해도 등을 계산하기 위해 브라우저에서 수집할 수 없는 시스템 로그들을 수집합니다.
        <a :href="downloadLink">다운로드</a>
      </div>
    </el-card>
    <el-card style="margin-top:40px;">
      <div slot="header">
          <h3>키보드 입력 확인 프로그램</h3>
      </div>
      <div>
        사용자의 키보드 입력 내용을 수집하는 프로그램입니다.
        <a :href="downloadLink2">다운로드</a>
      </div>
    </el-card>
    <el-card style="margin-top:40px;">
      <div slot="header">
          <h3>실시간 스트리밍 프로그램</h3>
      </div>
      <div>
        사용자가 인터넷 방송을 하기 위한 프로그램입니다. 이 프로그램은 무료 프로그램입니다. 이에 대해 더 궁금하시다면,<a
      href=https://obsproject.com/ko/help>https://obsproject.com/ko/help </a> 를 참고해주세요.
        <a href=https://obsproject.com/ko>https://obsproject.com/ko </a>
      </div>
    </el-card>
    <el-card style="margin-top:40px;">
      <div slot="header">
          <h3>영상 인식 기반 집중도 계산 프로그램</h3>
      </div>
      <div>
        학생이 수강하는 동안 집중도, 참여도, 이해도 등을 계산하기 위해 브라우저에서 수집할 수 없는 시스템 로그들을 수집합니다.
        <a :href="downloadLink3">다운로드</a>
      </div>
    </el-card>
  </div>
</template>

<script>
  import {
    baseUrl
  } from '../../services/config';

  export default {
    data() {
      const downloadLink = `${baseUrl}/downloads/download_logfile`;
      const downloadLink2 = `${baseUrl}/downloads/download_keyboard_watcher`;
      const downloadLink3 = `${baseUrl}/downloads/edu_cam`;
      return {
        downloadLink,
        downloadLink2,
        downloadLink3,
      };
    },
  };

</script>
